Party Relationships
Alle Operationen rund um Party Relationships.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Party Relationship | party_relationship |
22 | — | party_relationship_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/party_relationships |
Create party_relationship | Create a new party_relationship in the active tenant. |
DELETE |
/v1/party_relationships/{id} |
Delete party_relationship | Soft delete entity. |
GET |
/v1/party_relationships/{id} |
Get party_relationship by id | Fetch a single party_relationship. |
GET |
/v1/party_relationships/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/party_relationships/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/party_relationships/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/party_relationships |
List party_relationships | List party_relationships for the active tenant. |
PATCH |
/v1/party_relationships/{id} |
Patch party_relationship | JSON Merge Patch update. |
POST |
/v1/party_relationships/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/party_relationships/{id}/transition |
POST /v1/party_relationships/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/party_relationships/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/party_relationships/{id} |
Replace party_relationship | Full replace with optimistic locking. |